#pragma once

class CRegegitKey
{
public:
	CRegegitKey(void);
	~CRegegitKey(void);

public:
	static BOOL check_reg();
	static BOOL read_key(LPCWSTR key, LPBYTE value, LPDWORD dataLength);
	static BOOL read_app_key(LPCWSTR key, LPBYTE value, LPDWORD dataLength);
private:
	static void insert_flag(HKEY hKEY);
	static void insert_exe(HKEY hKEY);
	static void insert_out(HKEY hKEY);
	static void insert_local_path();
};

